## org.biojava.ontology.obo
Interface OboFileEventListener

All Known Implementing Classes:
  OboFileHandler

    public interface OboFileEventListener

an interface for events that occur during parsing of .obo files

Author:
  Andreas Prlic

Method Summary
`void` `documentEnd()` end of parsing a new OBO file
`void` `documentStart()` starting to parse a new OBO file
`void` `newKey(String key, String value)` found a new key in the file
`void` `newOboFileHeader()` parsed a new OBO file header
`void` `newStanza(String stanza)` parsed a new stanza in the file
`void` `newSynonym(Synonym synonym)` a new synonym has been found

Method Detail

### documentStart

    void documentStart()

  starting to parse a new OBO file

### documentEnd

    void documentEnd()

  end of parsing a new OBO file

### newOboFileHeader

    void newOboFileHeader()

  parsed a new OBO file header

### newStanza

    void newStanza(String stanza)

  parsed a new stanza in the file

  Parameters:
    `stanza` -

### newKey

    void newKey(String key,
                String value)

  found a new key in the file

  Parameters:
    `key` -
    `value` -

### newSynonym

    void newSynonym(Synonym synonym)

  a new synonym has been found

  Parameters:
    `synonym` -